Ruby 1.9 - when attempting to change password error raised IOError in MyController#password 

2009-10-23 05:09 - trevor trevor

Status: Closed Start date: 2009-10-23

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

% rails -v

Rails 2.3.4

% ruby -v

ruby 1.9.2dev (2009-10-22 trunk 25436) [x86_64-linux]

when attempting to change password, this error is raised -

IOError in MyController#password

closed stream

/usr/local/lib/ruby/1.9.1/tempfile.rb:261:in `close'

/usr/local/lib/ruby/1.9.1/tempfile.rb:261:in `block in callback'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/core_ext/module/attribu

te_accessors.rb:24:in `call'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/core_ext/module/attribu

te_accessors.rb:24:in `mechanism'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:219:in 

`load?'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:155:in 

`require'

/web/mysite/webapps/redmine/app/models/repository/cvs.rb:18:in `'

/web/mysite/webapps/redmine/app/controllers/application_controller.rb:34:in `block in '

/web/mysite/webapps/redmine/app/controllers/application_controller.rb:33:in `each'

/web/mysite/webapps/redmine/app/controllers/application_controller.rb:33:in `'

/web/mysite/webapps/redmine/app/controllers/application_controller.rb:21:in `'

/web/mysite/webapps/redmine/app/controllers/my_controller.rb:18:in `'

History

#1 - 2009-10-27 01:55 - Eric Davis

- Subject changed from when attempting to change password error raised IOError in MyController#password  to Ruby 1.9 - when attempting to change

password error raised IOError in MyController#password 

#2 - 2010-06-20 06:15 - Eric Davis

- Status changed from New to Closed

- Assignee set to Eric Davis

- Resolution set to Cant reproduce

Just tested this on Ruby 1.9.1-p378 and Ruby 1.9.2-preview3 and I didn't get any errors when changing my password.

Can you test this again and see if you can reproduce this on trunk? Your comment says you are using Ruby 1.9.2dev but your stacktrace says Ruby

1.9.1 and it's coming from the CVS model and not the change password.
